<?php

class CF_Actions {

  protected static function generate_css_value($name, $value) {
    return sprintf('--%s:%s;', $name, $value);
  }

  public static function init() {
    // add_action('template_redirect', ['CF_Actions', 'redirect_disable_post']);
    // add_action('admin_init', ['CF_Actions', 'admin_init']);
    add_action('cf_head', ['CF_Actions', 'theme_settings_css']);
    add_action('cf_head', ['CF_Actions', 'theme_styles']);
    add_action('cf_head', ['CF_Actions', 'theme_scripts_vars']);
    add_action('before_module', ['CF_Actions', 'before_module']);
    add_action('after_module', ['CF_Actions', 'after_module']);
    add_action('create_module-type', ['CF_Actions', 'generate_module_types'], 10, 2);
    add_action('edited_module-type', ['CF_Actions', 'generate_module_types'], 10, 2);
    add_action('delete_module-type', ['CF_Actions', 'generate_module_types'], 10, 2);
    add_action('registered_taxonomy', ['CF_Actions', 'add_modulte_types'], 10, 2);
    add_action('admin_menu', ['CF_Actions', 'remove_sub_menus']);
    add_action('admin_footer', ['CF_Actions', 'admin_footer']);
    add_action('pre_get_posts', ['CF_Actions', 'set_author_archive_limit'], 1);
    add_action('save_post', ['CF_Actions', 'save_casino_action'], 10, 3);
    add_action('save_post_country', ['CF_Actions', 'save_country_meta'], 10, 3);
    remove_action('wp_head', 'print_emoji_detection_script', 7);
  }

  public static function admin_init() {
    if ( get_current_user_id() == 1 ) {
      deactivate_plugins( '/wordpress-seo/wp-seo.php', true );
    }
  }

  public static function redirect_disable_post() {
    global $post;

    if ($post && CF_Helpers_Common::disable_single_page($post->ID)) :
      global $wp_query;
      $wp_query->set_404();
      status_header(404);
    endif;
  }

  public static function theme_settings_css() {
    echo '<style type="text/css">:root {';
    echo self::generate_css_value('primary', CF_Helpers_Settings::theme_color('primary_color'));
    echo self::generate_css_value('primary-hover', CF_Helpers_Settings::theme_color('primary_color_hover'));
    echo self::generate_css_value('primary-variant', CF_Helpers_Settings::theme_color('primary_color_v'));
    echo self::generate_css_value('primary-variant-hover', CF_Helpers_Settings::theme_color('primary_color_v_hover'));
    echo self::generate_css_value('secondary', CF_Helpers_Settings::theme_color('secondary_color'));
    echo self::generate_css_value('secondary-hover', CF_Helpers_Settings::theme_color('secondary_color_hover'));
    echo self::generate_css_value('secondary-variant', CF_Helpers_Settings::theme_color('secondary_color_v'));
    echo self::generate_css_value('secondary-variant-hover', CF_Helpers_Settings::theme_color('secondary_color_v_hover'));
    echo self::generate_css_value('dark', CF_Helpers_Settings::theme_color('dark_color'));
    echo self::generate_css_value('dark-hover', CF_Helpers_Settings::theme_color('dark_color_hover'));
    echo self::generate_css_value('dark-variant', CF_Helpers_Settings::theme_color('dark_color_v'));
    echo self::generate_css_value('dark-variant-hover', CF_Helpers_Settings::theme_color('dark_color_v_hover'));
    echo self::generate_css_value('light', CF_Helpers_Settings::theme_color('light_color'));
    echo self::generate_css_value('light-hover', CF_Helpers_Settings::theme_color('light_color_hover'));
    echo self::generate_css_value('light-variant', CF_Helpers_Settings::theme_color('light_color_v'));
    echo self::generate_css_value('light-variant-hover', CF_Helpers_Settings::theme_color('light_color_v_hover'));
    echo self::generate_css_value('text-color', CF_Helpers_Settings::theme_color('body_color'));
    echo self::generate_css_value('link-color', CF_Helpers_Settings::theme_color('link_color'));
    echo self::generate_css_value('link-hover-color', CF_Helpers_Settings::theme_color('link_hover_color'));
    echo self::generate_css_value('headings-color', CF_Helpers_Settings::theme_color('headings_color'));
    echo self::generate_css_value('font-family', get_option('options_font_family'));
    echo self::generate_css_value('font-size-desktop', get_option('options_font_size_d') . 'px');
    echo self::generate_css_value('font-size-mobile', get_option('options_font_size_m') . 'px');
    echo self::generate_css_value('font-weight', get_option('options_font_weight'));
    echo self::generate_css_value('h1-desktop', get_option('options_h1_font_size_d') . 'px');
    echo self::generate_css_value('h1-mobile', get_option('options_h1_font_size_m') . 'px');
    echo self::generate_css_value('h1-font-weight', get_option('options_h1_font_weight'));
    echo self::generate_css_value('h2-desktop', get_option('options_h2_font_size_d') . 'px');
    echo self::generate_css_value('h2-mobile', get_option('options_h2_font_size_m') . 'px');
    echo self::generate_css_value('h2-font-weight', get_option('options_h2_font_weight'));
    echo self::generate_css_value('h3-desktop', get_option('options_h3_font_size_d') . 'px');
    echo self::generate_css_value('h3-mobile', get_option('options_h3_font_size_m') . 'px');
    echo self::generate_css_value('h3-font-weight', get_option('options_h3_font_weight'));
    echo self::generate_css_value('h4-desktop', get_option('options_h4_font_size_d') . 'px');
    echo self::generate_css_value('h4-mobile', get_option('options_h4_font_size_m') . 'px');
    echo self::generate_css_value('h4-font-weight', get_option('options_h4_font_weight'));
    echo self::generate_css_value('h5-desktop', get_option('options_h5_font_size_d') . 'px');
    echo self::generate_css_value('h5-mobile', get_option('options_h5_font_size_m') . 'px');
    echo self::generate_css_value('h5-font-weight', get_option('options_h5_font_weight'));
    echo self::generate_css_value('h6-desktop', get_option('options_h6_font_size_d') . 'px');
    echo self::generate_css_value('h6-mobile', get_option('options_h6_font_size_m') . 'px');
    echo self::generate_css_value('h6-font-weight', get_option('options_h6_font_weight'));
    echo '}</style>';
  }

  public static function theme_styles() {

    echo '<link rel="preload stylesheet" href="'. CF_Assets::asset_path("styles/main.css") .'" type="text/css" as="style" media="all">';
  }

  public static function theme_scripts_vars() {
    echo '<script type="text/javascript">var vars = {"ajax_url": "'. esc_url(admin_url('admin-ajax.php')) .'"};</script>';
  }

  public static function before_module($args = []) {
    $attr = ' ';

    if (isset($args['settings'])) :
      foreach($args['settings'] as $key => $setting) :
        if ($key === 'data') :
          $attr .= $setting;
        else :
          $attr .= $setting ? $key . '="' . $setting . '"' : '';
        endif;
      endforeach;
    endif;

    if(empty($args['tag']))
      $tag = 'div';
    else
      $tag = $args['tag'];

    echo "<${tag}${attr}>";
  }

  public static function after_module($args = []) {
    if(empty($args['tag']))
      $tag = 'div';
    else
      $tag = $args['tag'];

    echo "</${tag}>";
  }

  public static function claer_modular($post_id) {
    if (in_array(get_post_type($post_id), ['post', 'page', 'game-type', 'license', 'news', 'payment', 'provider', 'slot'])) :
      global $wpdb;
      $table = $wpdb->prefix . 'postmeta';

      $wpdb->query(("DELETE FROM ". $table ." WHERE post_id = ". $post_id ." AND meta_key LIKE '%modules_%'"));
    endif;
  }

  public static function generate_module_types() {
    $get_terms = get_terms([
      'taxonomy' => 'module-type',
      'hide_empty' => false,
    ]);

    $json = [];
    foreach($get_terms as $term){
      $json[] = [
        'name' => $term->name,
        'slug' => $term->slug
      ];
    }
    file_put_contents( CF_RESOURCES_DIR . 'json/module-types.json', json_encode($json));
  }

  public static function remove_sub_menus() {
    remove_submenu_page('edit.php', 'edit-tags.php?taxonomy=category');
    remove_submenu_page('edit.php', 'edit-tags.php?taxonomy=post_tag');
    remove_meta_box('categorydiv', 'post', 'normal');
	  remove_meta_box('tagsdiv-post_tag', 'post', 'normal');
  }

  public static function add_modulte_types($taxonomy) {
    if ($taxonomy === 'module-type' && is_admin()) :
      $get_terms = get_terms([
        'taxonomy' => 'module-type',
        'hide_empty' => false,
      ]);

      if (!$get_terms) :
        $filename = CF_RESOURCES_DIR  . "json/module-types.json";
        if(file_exists($filename))
        $json = json_decode(file_get_contents($filename), true);

        foreach ($json as $item) :
          wp_insert_term($item['name'], 'module-type', ['slug' => $item['slug']]);
        endforeach;
      endif;
    endif;
  }

  public static function admin_footer() {
    global $pagenow;

    if ( $pagenow == 'post.php' ) :
?>
      <script type="text/javascript">
        jQuery('.layout').not('.clones .layout').addClass('-collapsed');
      </script>
<?php
    endif;
  }


  public static function set_author_archive_limit( $query ) {
    if ( is_admin() || ! $query->is_main_query() )
        return;

    if ( is_author() ) {
      $query->set('post_type', ['post', 'slot', 'news']);
      $query->set('posts_per_page', 16);
      return;
    }
  }

  public static function save_casino_action( $post_id, $post, $update ) {
    if ( $post->post_type === 'post' || $post->post_type === 'crypto-currency' && $update ) :
      self::crypto_currency_number_of_casinos();
    endif;
  }

  public static function save_country_meta( $post_id, $post, $update ) {
    if ( $update &&  isset ( $_POST['country_code'] ) ) :
      update_post_meta( $post_id, 'country_code', $_POST['country_code'] );
    endif;
  }

  protected static function crypto_currency_number_of_casinos() {
    $terms = get_terms([
      'taxonomy' => 'crypto-currency',
      'hide_empty' => false,
      'meta_query' => [
        [
          'key' => 'linked',
          'value' => null,
          'compare' => '!=',
        ]
      ]
    ]);

    if ( $terms ) {
      foreach ($terms as $term) {
        $post_id = get_term_meta( $term->term_id, 'linked', true );
        update_post_meta( $post_id, 'number_of_casinos', $term->count);
      }
    }
  }
}
