<?php
class CF_Core {

  public static function init() {
    
    if ( ! session_id() ) {
      session_start();
      add_action( 'wp_footer', function () { session_write_close(); });
    }
    
    if ( ! isset( $_SESSION['casinofeed'] ) || self::get_user_ip() !== CF_Helpers_Common::get_session('geo_ip_address') ) {
      self::set_session();
    }
  }

  public static function get_user_ip () {
    if (!empty($_SERVER['HTTP_CLIENT_IP'])) {
      $ip_address = $_SERVER['HTTP_CLIENT_IP'];
    } elseif (!empty($_SERVER['HTTP_X_FORWARDED_FOR'])) {
      $ip_address = $_SERVER['HTTP_X_FORWARDED_FOR'];
    } else {
      $ip_address = $_SERVER['REMOTE_ADDR'];
    }

    return $ip_address;
  }

  public static function get_info_ip($ip_address) {
    return geoip_detect2_get_info_from_ip($ip_address);
  }

  public static function set_session() {
    $ip_address = self::get_user_ip();
    $get_ip_info = self::get_info_ip($ip_address);
    $country_code = $get_ip_info->country->isoCode !== 'GB' ? $get_ip_info->country->isoCode : 'UK';
    $country_name = $get_ip_info->country->name;
    $country_id = CF_Helpers_Country::get_country_id_by_code($country_code, false);
    $country_flag = CF_Helpers_Country::get_country_flag_by_id($country_id, false, 'full', false, ['loading' => false, 'width' => '50', 'height' => '50']);

    if ( $country_code === 'US' ) {
      $country_id = CF_Helpers_Country::get_country_id_by_code('US-' . $get_ip_info->mostSpecificSubdivision->isoCode, false);
    }
    
    $_SESSION['casinofeed'] = [
      'geo_iso_code'   => $country_code,
      'geo_country'    => $country_name,
      'geo_ip_address' => $ip_address,
      'country_id'     => $country_id,
      'country_flag'   => $country_flag,
    ];
  }
}
