<?php

class CF_Helpers_Bonus {

  protected static function get_external_data($post_id, $key, $value) {

    if ( empty ( $value ) ) return $value;

    $taxonomies_fields = [
      'bonus_types' => 'bonus-type',
      'bonus_occasion' => 'bonus-occasion',
    ];

    if ( array_key_exists($key, $taxonomies_fields) ) {
      $terms = CF_Helpers_Taxonomy::get_taxonomy($value);
      if( $key === 'bonus_types' ) {
        $value = CF_Helpers_Taxonomy::get_taxonomy_fields($terms, ['linked'], $taxonomies_fields[$key]);
        if ( $value ) {
          foreach ( $value as $type ) {
            $value = $type;
            break;
          }
        }
      } else {
        $value = $terms;
      }
    } elseif ( $key === 'terms_url' ) {
      $value = ' | <a target="_blank" href="'. $value .'" class="tc-in">'. __('T&C apply', 'elegance') .'</a>';
    } elseif ( $key === 'wagering' ) {
      $value = 'x' . $value;
    }

    return $value;
  }

  public static function get_bonus_fields($post_id, $fields = null) {
    $groups = [
      'base' => [
        'casino',
        'affiliate_url',
        'bonus',
        'bonus_types',
        'terms',
        'terms_url'
      ],
      'card' => [
        'bonus_percentage',
        'maximum_amount',
        'free_spins',
        'minimum_deposit',
        'bonus_occasion'
      ],
      'single' => [
        'bonus_status',
        'bonus_percentage',
        'maximum_amount',
        'free_spins',
        'wagering',
        'minimum_deposit',
        'bonus_code',
        'date_entered',
        'non_sticky_bonus',
        'exclusive_bonus',
        'bonus_occasion',
      ]
    ];

    if ( ! $fields ) :
      return self::get_bonus_fields($post_id, ['base', 'single']);
    elseif ( is_string($fields) ) :
      if ( array_key_exists($fields, $groups) ) :
        $value = self::get_bonus_fields($post_id, $groups[$fields]);
      else:
        $value = self::get_external_data($post_id, $fields, get_post_meta( $post_id, $fields, true ));
      endif;
      return $value;
    elseif ( is_array( $fields ) ) :
      $array['post_id'] = $post_id;
      foreach( $fields as $key ) :
        if ( array_key_exists($key, $groups) ) :
          $array = array_merge($array, self::get_bonus_fields($post_id, $groups[$key]));
        else :
          $array[$key] = self::get_bonus_fields($post_id, $key);
        endif;
      endforeach;

      return $array;
    endif;

    return null;
  }
}
