<?php

return [
  'slug' => 'country',
  'args' => [
    'labels'              => [
      'name'               => 'Countries',
      'all_items'          => 'All Countries',
      'singular_name'      => 'Country',
      'add_new'            => 'Add New',
      'add_new_item'       => 'Add New',
      'edit_item'          => 'Edit country',
      'new_item'           => 'New country',
      'view_item'          => 'View country',
      'search_items'       => 'Search country',
      'not_found'          => 'No Countries found',
      'not_found_in_trash' => 'No Countries found in Trash',
      'parent_item_colon'  => 'Parent country',
      'menu_name'          => 'Countries'
    ],
    'hierarchical'         => true,
    'description'          => 'description',
    'taxonomies'           => [],
    'public'               => true,
    'show_ui'              => true,
    'show_in_menu'         => true,
    'show_in_admin_bar'    => true,
    'menu_position'        => null,
    'menu_icon'            => null,
    'show_in_nav_menus'    => true,
    'publicly_queryable'   => true,
    'exclude_from_search'  => false,
    'has_archive'          => false,
    'query_var'            => true,
    'can_export'           => true,
    'rewrite'              => [ 'slug' => 'countries', 'with_front' => false ],
    'capability_type'      => 'post',
    'register_meta_box_cb' => 'add_country_meta_boxes',
    'supports'             => [
      'title',
      'editor',
      'thumbnail',
      'revisions',
      'page-attributes',
      'author'
    ],
  ]
];

function add_country_meta_boxes() {
  add_meta_box('country_meta', __( 'Country Code', 'countries' ), 'country_code_meta', 'country', 'normal', 'low');
}

/**
 * Render Country Code Meta Box
 */
function country_code_meta() {
  global $post;
  $country_code = get_post_meta( $post->ID, 'country_code', true );
  ?>
  <input type="text" name="country_code" value="<?php echo $country_code; ?>"  />
  <?php
}
