<?php 

class CF_Taxonomies_Args {

  public static function list_taxonomies_args($params) {
    $args = [
      'taxonomy' => $params['taxonomy'],
      'hide_empty' => false,
      'orderby' => $params['orderby'],
    ];

    if ($args['orderby'] === 'term_id')
      $args['order'] = 'DESC';

    $page_posts = (int)$params['results_per_page'];
    
    if ($params['list_type'] === '2') :
      $args['include'] = $params['categories'];
      $total_posts = count($params['categories']);
    else :
      $total_posts = (int)$params['number_of_results'];
    endif;

    if (isset($params['offset'])) 
      $args['offset'] = $params['offset'];

    $args['number'] = ($total_posts > $page_posts && $page_posts > 0 || $total_posts < 1) ? $page_posts : $total_posts;

    return $args;
  }
}