<?php

class CF_Theme_Setup { 

  public static function init() {
    add_action('after_setup_theme', ['CF_Theme_Setup', 'setup_theme']);
  }

  public static function setup_theme () {
    // Enable plugins to manage the document title
    // http://codex.wordpress.org/Function_Reference/add_theme_support#Title_Tag
    add_theme_support('title-tag');

    // Register wp_nav_menu() menus
    // http://codex.wordpress.org/Function_Reference/register_nav_menus
    register_nav_menus([
      'top_navigation' => __('Top Navigation'),
      'primary_navigation' => __('Primary Navigation'),
    ]);

    // Enable post thumbnails
    // http://codex.wordpress.org/Post_Thumbnails
    // http://codex.wordpress.org/Function_Reference/set_post_thumbnail_size
    // http://codex.wordpress.org/Function_Reference/add_image_size
    add_theme_support('post-thumbnails');
    add_image_size('CF_dekstop_bg', 1920, 0, false);
    add_image_size('CF_mobile_bg', 767, 0, false);
    add_image_size('CF_casino', 180, 180, false);
    add_image_size('CF_post_type', 180, 80, false);
    add_image_size('CF_card_graphic', 0, 130, false);
    add_image_size('CF_single_slot', 1015, 558, ['center']);
    add_image_size('CF_single_news', 542, 295, true);
    add_image_size('CF_news', 747, 485, ['center']);
    add_image_size('CF_similar_news', 90, 65, ['center']);
    add_image_size('CF_slot_box', 364, 249, ['center']);
    add_image_size('CF_gallery', 747, 550, ['center']);

    // Enable HTML5 markup support
    // http://codex.wordpress.org/Function_Reference/add_theme_support#HTML5
    add_theme_support('html5', [
      'comment-form',
      'comment-list',
      'search-form'
    ]);
  }
}