<?php

function filter_terms() {
  $type = $_GET['type'];
  $selected = explode(',', $_GET['selected']);
  $exclude = isset( $_GET['exclude'] ) ? explode(',', $_GET['exclude']) : false;
  $results = [];

  if ( $type === 'countries' ) {
    $countries = new WP_Query([
      'post_type'      => 'country',
      'post_status'    => ['publish', 'draft'],
      'post_parent'    => 0,
      'orderby'        => 'title',
      'order'          => 'ASC',
      'posts_per_page' => -1
    ]);

    if ( $countries->have_posts() ) {
      while( $countries->have_posts() ) : $countries->the_post();
        $results[] = [
          'value' => get_the_ID(),
          'label' => get_the_title(),
          'selected' => $selected && in_array(get_the_ID(), $selected)
        ];
      endwhile;
    }
    wp_reset_query();
  } else {
    $term_args = [
      'taxonomy' => $type,
      'hide_empty' => false,
      'fields' => 'id=>name'
    ];
    if ( $exclude ) {
      $term_args['exclude'] = $exclude;
    }

    $terms = get_terms($term_args);

    if ( $terms ) {
      foreach ($terms as $id => $name) {
        $results[] = [
          'value' => $id,
          'label' => $name,
          'selected' => $selected && in_array($id, $selected)
        ];
      }
    }
  }

  echo json_encode($results);

  wp_die();
}
add_action('wp_ajax_filter_terms', 'filter_terms');
add_action('wp_ajax_nopriv_filter_terms', 'filter_terms');
