<?php

function list_post_type() {
  $data = $_GET;

  if ($data['type'] === 'args') {
    $query_args = json_decode(stripslashes($data['args']), true);
  }

  if ($data['type'] === 'module') {
    $query_args = CF_Posttypes_Args::list_post_type_args(json_decode(stripslashes($data['args']), true));
  }

  $posts = new WP_Query($query_args);
  $html = '';
  $results = [];
  $total_posts = (int)$data['total'];
  $page_posts = $query_args['offset'] + $posts->post_count;

  if ($posts->have_posts()) :

    while($posts->have_posts()) : $posts->the_post();
      ob_start();
      cf_get_template('list-' . $data['post_type'] . '.php', CF_TEMPLATES_LOOP_DIR);
			$html .= ob_get_clean();
    endwhile;
  else:
    $html .= '<p class="my-20 ta-c fw-b w-100">'. __("Sorry! Looks like we couldn't find any results matching your search. How about trying something else?", "elegance") . '</p>';
  endif;

  if ($total_posts > 0)
    $more = $posts->found_posts > $page_posts && $total_posts > $page_posts;
  else
    $more = $posts->found_posts > $page_posts;

  $results = [
    'html'  => $html,
    'more'  => $more,
    'found' => $posts->found_posts,
    'posts' => $posts->have_posts() ? json_encode(wp_list_pluck( $posts->posts, 'ID' )) : ''
  ];

  wp_reset_query();
  echo json_encode($results);

  wp_die();
}

add_action('wp_ajax_list_post_type', 'list_post_type');
add_action('wp_ajax_nopriv_list_post_type', 'list_post_type');

function count_casinos() {
  $data = $_GET;
  $posts = json_decode($data['posts'], true);

  foreach ($posts as $id) {
    $counts[$id] = CF_Helpers_Post_Type::get_number_casinos($id, $data['type']);
  }

  wp_reset_query();
  echo json_encode($counts);

  wp_die();
}

add_action('wp_ajax_count_casinos', 'count_casinos');
add_action('wp_ajax_nopriv_count_casinos', 'count_casinos');
