<?php 

function list_slots() {
  $data = $_GET;

  if ($data['type'] === 'args') {
    $args = json_decode(stripslashes($data['args']), true);
  }

  if ($data['type'] === 'module') {
    $args = CF_Slots_Args::list_slots_args(json_decode(stripslashes($data['args']), true));
  }
  $slots = new WP_Query($args);

  $total_posts = (int)$data['total'];
  $page_posts = $args['offset'] + $slots->post_count;
  $html = '';
  $results = [];

  if ($slots->have_posts()) :
    while($slots->have_posts()) : $slots->the_post();
      ob_start();
        cf_get_template('slot-box.php', CF_TEMPLATES_LOOP_DIR, [ 'post_id' => get_the_ID() ]);
			$html .= ob_get_clean();
    endwhile;
  else:
    $html .= '<p class="my-20 ta-c fw-b w-100">'. __("Sorry! Looks like we couldn't find any results matching your search. How about trying something else?", "elegance") . '</p>';
  endif;

  if ($total_posts > 0) 
    $more = $slots->found_posts > $page_posts && $total_posts > $page_posts;
  else 
    $more = $slots->found_posts > $page_posts;

  $results = [
    'html'  => $html,
    'more'  => $more,
    'found' => $slots->found_posts
  ];

  wp_reset_query();
  echo json_encode($results);

  wp_die();
}
add_action('wp_ajax_list_slots', 'list_slots');
add_action('wp_ajax_nopriv_list_slots', 'list_slots');