<?php 

function list_taxonomies() {
  $data = $_GET;
  $args = json_decode(stripslashes($data['args']), true);
  $taxonomies = get_terms($args);
  if ( $taxonomies ) : 
    $taxonomies = CF_Helpers_Taxonomy::get_taxonomy_fields($taxonomies, ['logo', 'linked']);
  endif;
  
  $total_posts = (int)$data['total'];
  $found_posts = (int)$data['found'];
  $page_posts = $args['offset'] + count($taxonomies);

  $html = '';
  $results = [];

  if ($taxonomies) : 
    foreach ($taxonomies as $term) :
      ob_start();
      cf_get_template('term.php', CF_TEMPLATES_LOOP_DIR, [ 'term' => $term ]);
      $html .= ob_get_clean();
    endforeach;
  endif;

  if ($total_posts > 0) 
    $more = $found_posts > $page_posts && $total_posts > $page_posts;
  else 
    $more = $found_posts > $page_posts;

  $results = [
    'html' => $html,
    'more' => $more
  ];

  wp_reset_query();
  echo json_encode($results);

  wp_die();
}
add_action('wp_ajax_list_taxonomies', 'list_taxonomies');
add_action('wp_ajax_nopriv_list_taxonomies', 'list_taxonomies');