interface IMetaQuery {
  relation?: string;
  key: string;
  value: string | string[] | number[];
  compare?: string;
}

interface ITaxQuery {
  taxonomy?: string;
  field: string;
  terms: string | string[] | number[];
  compare?: string;
}

// interface IMinMax {
//   min?: number,
//   max?: number,
// }

export interface ICasinoModule {
  list_type: '1' | '2' | '3';
  licenses_listing?: string | string[];
  languages_listing?: string | string[];
  platforms_listing?: string | string[]
  owners_listing?: string | string[];
  software_providers_listing?: string | string[];
  deposit_methods_listing?: string | string[];
  withdraw_methods_listing?: string | string[];
  currencies_listing?: string | string[];
  crypto_currencies_listing?: string | string[];
  game_types_listing?: string | string[];
  number_of_results?: number;
  results_per_page?: number;
  casinos?: string | string[];
  order_by?: string;
  order_by_manually?: string;
  allowed_in?: string;
  specific_country?: string | string[];
  view?: string;
  ordered?: boolean;
  filter?: boolean;
  filter_type?: boolean;
  offset?: number
}

export interface ISlotModule {
  post_type: 'slot';
  post_status: 'publish';
  list_type: '1' | '2' | '3';
  offset: number;
  rtp?: string;
  volatility?: string;
  date?: {
    year: number | FormDataEntryValue;
    month: number | FormDataEntryValue;
  }
  providers_listing?: string | string[];
  types_listing?: string | string[];
  features_listing?: string | string[];
  themes_listing?: string | string[];
  s?: string;
  number_of_results: number;
  results_per_page: number;
  slots?: string[];
  order_by?: string;
}

export interface IPostTypes {
  post_type: string;
  post_status: 'publish';
  list_type: '1' | '2' | '3';
  number_of_results: number;
  results_per_page: number;
  offset?: number;
  order_by?: string;
  order_by_manually?: string;
  allowed_in?: string;
  specific_country?: string | string[];
  meta_key?: string;
  s?: string;
  categories_listing?: string | string[],
}

export interface IArgsConfig {
  post_type?: string;
  post_status?: string;
  offset?: number;
  paged?: number;
  post__in?: string[] | number[];
  post_not__in?: string[] | number[];
  include?: string[] | string[];
  orderby?: string;
  order?: string;
  meta_key?: string;
  meta_value_num?: string | number;
  meta_query?: IMetaQuery[];
  tax_quert?: ITaxQuery[];
  posts_per_page?: number;
  number?: number;
}
