import Button from "./componets/_button";
import Common from "./componets/_common";
import { scrollToElement } from "./componets/_scrollto";

class Main {
  body = document.querySelector('body');
  common: Common;
  button: Button;
  scrollTop: HTMLLinkElement;
  
  constructor() {
    this.common = new Common();
    this.button = new Button();
    this.scrollTop = document.querySelector('.scroll-top');
    this.common.deferHTML([].slice.call(document.querySelectorAll('.js-defer-html')));
    this.button.state('.js-state');
    this.button.stateGroup('.js-state-group')
    this.anchorsScroll();
    this.onScroll();
  }

  anchorsScroll() {
    const anchors = document.querySelectorAll('.js-anchor');
    anchors.forEach(anchor =>
      anchor.addEventListener('click', (e) => {
        const href = (anchor as HTMLLinkElement).getAttribute('href');
        const element = document.querySelector(href);
        if (element) {
          e.preventDefault();
          this.body.classList.remove('menu-opened');
          scrollToElement(href);
        }
      })
    );
  }

  onScroll() {
    window.addEventListener('scroll', () => {
      if (this.scrollTop) {
        if (window.scrollY > 700) {
          this.scrollTop.classList.remove('d-n');
        } else {
          this.scrollTop.classList.add('d-n');
        }
      }
    })
  }
}

new Main;