<header class="ch bg-p tc-w of-h">
  <?php cf_get_template( 'single-topbar.php', CF_TEMPLATES_DIR ); ?>

  <div class="container p-u-sm-20 pt-o-xs-15 pb-u-md-40">
    <div class="row-u-sm ai-u-sm-c">
      <div class="col-u-md-4 col-u-sm-5 mb-o-xs-10">
        <div class="row ai-c">
          <?php if ( has_post_thumbnail( $casino['post_id'] ) ) : ?>
            <div class="col-auto">
              <?php if ( $casino['badge'] ) : ?>
                <div class="ch__badge d-f mb-n10 ai-c mr-a px-5 ps-r" style="color: <?php echo $casino['badge']['text_color']; ?>;background-color: <?php echo $casino['badge']['color']; ?>">
                  <span class="ch__badge__icon foc w-a"><?php echo $casino['badge']['logo']; ?></span>
                  <p class="w-100 ta-c tt-u fs-10 fw-n"><?php echo $casino['badge']['name']; ?></p>
                </div>
              <?php endif; ?>

              <figure class="ch__thumb foc p-10 br-5" style="background-color: <?php echo $casino['color']; ?>">
                <?php echo get_the_post_thumbnail( $casino['post_id'], 'CF_casino' ); ?>
              </figure>
            </div>
          <?php endif; ?>
          <div class="col">
            <h1 class="mb-15 fs-20 tt-u tc-w"><?php echo get_the_title($casino['post_id']) . ' ' . $bonus['bonus_types']['name']; ?></h1>
            <p class="mb-12 fs-10 fw-n"><?php printf( 'Rated %s of 100%%', $casino['rating'] ); ?></p>
            <?php cf_get_template('rating.php', CF_TEMPLATES_CASINO_DIR, ['rating' => $casino['rating']]); ?>
            <p class="mt-15 fs-12 fw-n"><?php _e('Position on list', 'elegance'); ?>: <?php echo $casino['position_on_list'] ?: '#'; ?></p>
          </div>
        </div>
      </div>

      <div class="col-u-lg-4 col-o-md-5 col-u-sm-7 mb-o-xs-15 ta-c">
        <p class="mb-5 fs-12 fw-n"><?php echo $bonus['bonus_types']['name']; ?></p>
        <p class="mb-15 fs-u-sm-20 fs-o-xs-18 fw-u-sm-b fw-o-xs-sb tt-u"><?php echo $bonus['bonus']; ?></p>

        <div class="d-f ai-c jc-c mx-n5">
          <a href="<?php echo $bonus['affiliate_url'] ?: $casino['affiliate_url']; ?>" target="_blank" class="btn btn--sm btn--w w-u-sm-146 w-o-xs-100 mx-5 tc-dv"><?php _e('Get bonus', 'elegance'); ?></a>
          <a href="#review" class="btn btn--sm btn-g--w w-u-sm-146 w-o-xs-100 mx-5 tc-w js-anchor"><?php _e('More info', 'elegance'); ?></a>
        </div>

        <?php if ($bonus['terms'] || $bonus['terms_url']) : ?>
          <p class="mt-10 fs-10"><?php echo $bonus['terms'] . $bonus['terms_url']; ?></p>
        <?php endif; ?>
      </div>

      <div class="ch__mb col-u-lg-4 col-o-md-3 mt-o-sm-30 py-o-sm-30 py-o-xs-15">
        <div class="row ai-u-lg-c fs-o-xs-13">
          <?php if ( $casino['advantages'] ) : ?>
            <div class="col d-o-md-n">
              <p class="mb-15"><?php echo _e('We love it for', 'elegance') ?>:</p>
              <ul class="list-white fw-n">
                <?php foreach ($casino['advantages'] as $item) { ?>
                  <li><?php echo $item['item']; ?></li>
                <?php } ?>
              </ul>
            </div>
          <?php endif; ?>

          <div class="col-d-md col-u-lg-6 ml-a">
            <?php $cur_session = CF_Helpers_Common::get_session(); ?>

            <div class="row ai-c ng fs-u-sm-12 fs-o-xs-10 fw-u-sm-b">
              <div class="col-auto">
                <span class="cf w-16 h-16 mr-5 br-4"><?php echo $cur_session['country_flag']; ?></span>
              </div>

              <p class="col">
                <?php echo $casino['is_restricted'] ? wp_sprintf( __('Players from %s are not accepted', 'elegance'), $cur_session['geo_iso_code'] ) : wp_sprintf( __('Players from %s are welcome', 'elegance'), $cur_session['geo_iso_code'] ); ?>
              </p>
            </div>

            <?php if ( $casino['languages'] && $country_lang = get_post_meta( $cur_session['country_id'], 'language', true ) ) : ?>
              <?php if ( array_key_exists( $country_lang, $casino['languages'] ) ) : ?>
                <p class="pl-20 mt-15 fs-12 fw-n">
                  <svg class="ml-n15 mr-5" width="8" height="6" viewBox="0 0 8 6" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M7.80026 1.20509L3.37487 5.79308C3.2421 5.93072 3.06782 6 2.89354 6C2.71927 6 2.54499 5.93072 2.41222 5.79308L0.199587 3.49908C-0.0666919 3.22314 -0.0666919 2.77699 0.199587 2.50104C0.465742 2.22497 0.895952 2.22497 1.16223 2.50104L2.89354 4.29602L6.83762 0.207053C7.10377 -0.0690175 7.53398 -0.0690175 7.80026 0.207053C8.06642 0.482993 8.06642 0.929022 7.80026 1.20509Z" fill="white"/></svg>
                  <?php printf( __('%s Version Available', 'elegance' ), $casino['languages'][$country_lang]['name']); ?>
                </p>
              <?php
                elseif ( $country = CF_Helpers_Taxonomy::get_taxonomy($country_lang) ) :
              ?>
                <p class="pl-20 mt-15 fs-12 fw-n">
                  <svg class="ml-n15 mr-5" width="8" height="8" viewBox="0 0 8 8" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M4.8224 4L7.33074 1.4975C7.44058 1.38766 7.50229 1.23867 7.50229 1.08333C7.50229 0.92799 7.44058 0.779009 7.33074 0.669165C7.22089 0.559322 7.07191 0.497612 6.91657 0.497612C6.76123 0.497612 6.61225 0.559322 6.5024 0.669165L3.9999 3.1775L1.4974 0.669165C1.38756 0.559322 1.23858 0.497612 1.08324 0.497612C0.927894 0.497612 0.778914 0.559322 0.66907 0.669165C0.559226 0.779009 0.497517 0.92799 0.497517 1.08333C0.497517 1.23867 0.559226 1.38766 0.66907 1.4975L3.1774 4L0.66907 6.5025C0.614395 6.55673 0.570999 6.62124 0.541383 6.69233C0.511768 6.76341 0.496521 6.83966 0.496521 6.91667C0.496521 6.99367 0.511768 7.06992 0.541383 7.141C0.570999 7.21209 0.614395 7.2766 0.66907 7.33083C0.723298 7.38551 0.787816 7.4289 0.8589 7.45852C0.929985 7.48813 1.00623 7.50338 1.08324 7.50338C1.16024 7.50338 1.23649 7.48813 1.30757 7.45852C1.37866 7.4289 1.44317 7.38551 1.4974 7.33083L3.9999 4.8225L6.5024 7.33083C6.55663 7.38551 6.62115 7.4289 6.69223 7.45852C6.76332 7.48813 6.83956 7.50338 6.91657 7.50338C6.99358 7.50338 7.06982 7.48813 7.14091 7.45852C7.21199 7.4289 7.27651 7.38551 7.33074 7.33083C7.38541 7.2766 7.42881 7.21209 7.45842 7.141C7.48804 7.06992 7.50328 6.99367 7.50328 6.91667C7.50328 6.83966 7.48804 6.76341 7.45842 6.69233C7.42881 6.62124 7.38541 6.55673 7.33074 6.5025L4.8224 4Z" fill="white"/></svg>
                  <?php printf( __('%s Version Not Available', 'elegance' ),  $country[0]->name); ?>
                </p>
              <?php endif; ?>
            <?php endif; ?>

            <?php if ( $casino['currencies'] && $country_currency = get_post_meta( $cur_session['country_id'], 'currency', true ) ) : ?>
              <?php if ( array_key_exists( $country_currency, $casino['currencies'] ) ) : ?>
                <p class="pl-20 mt-15 fs-12 fw-n">
                  <svg class="ml-n15 mr-5" width="8" height="6" viewBox="0 0 8 6" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M7.80026 1.20509L3.37487 5.79308C3.2421 5.93072 3.06782 6 2.89354 6C2.71927 6 2.54499 5.93072 2.41222 5.79308L0.199587 3.49908C-0.0666919 3.22314 -0.0666919 2.77699 0.199587 2.50104C0.465742 2.22497 0.895952 2.22497 1.16223 2.50104L2.89354 4.29602L6.83762 0.207053C7.10377 -0.0690175 7.53398 -0.0690175 7.80026 0.207053C8.06642 0.482993 8.06642 0.929022 7.80026 1.20509Z" fill="white"/></svg>
                  <?php printf( __('%s Accepted', 'elegance' ), $casino['currencies'][$country_currency]['name']); ?>
                </p>
              <?php
                elseif ( $currency = CF_Helpers_Taxonomy::get_taxonomy($country_currency) ) :
              ?>
                <p class="pl-20 mt-15 fs-12 fw-n">
                  <svg class="ml-n15 mr-5" width="8" height="8" viewBox="0 0 8 8" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M4.8224 4L7.33074 1.4975C7.44058 1.38766 7.50229 1.23867 7.50229 1.08333C7.50229 0.92799 7.44058 0.779009 7.33074 0.669165C7.22089 0.559322 7.07191 0.497612 6.91657 0.497612C6.76123 0.497612 6.61225 0.559322 6.5024 0.669165L3.9999 3.1775L1.4974 0.669165C1.38756 0.559322 1.23858 0.497612 1.08324 0.497612C0.927894 0.497612 0.778914 0.559322 0.66907 0.669165C0.559226 0.779009 0.497517 0.92799 0.497517 1.08333C0.497517 1.23867 0.559226 1.38766 0.66907 1.4975L3.1774 4L0.66907 6.5025C0.614395 6.55673 0.570999 6.62124 0.541383 6.69233C0.511768 6.76341 0.496521 6.83966 0.496521 6.91667C0.496521 6.99367 0.511768 7.06992 0.541383 7.141C0.570999 7.21209 0.614395 7.2766 0.66907 7.33083C0.723298 7.38551 0.787816 7.4289 0.8589 7.45852C0.929985 7.48813 1.00623 7.50338 1.08324 7.50338C1.16024 7.50338 1.23649 7.48813 1.30757 7.45852C1.37866 7.4289 1.44317 7.38551 1.4974 7.33083L3.9999 4.8225L6.5024 7.33083C6.55663 7.38551 6.62115 7.4289 6.69223 7.45852C6.76332 7.48813 6.83956 7.50338 6.91657 7.50338C6.99358 7.50338 7.06982 7.48813 7.14091 7.45852C7.21199 7.4289 7.27651 7.38551 7.33074 7.33083C7.38541 7.2766 7.42881 7.21209 7.45842 7.141C7.48804 7.06992 7.50328 6.99367 7.50328 6.91667C7.50328 6.83966 7.48804 6.76341 7.45842 6.69233C7.42881 6.62124 7.38541 6.55673 7.33074 6.5025L4.8224 4Z" fill="white"/></svg>
                  <?php printf( __('%s Not Accepted', 'elegance' ), $currency[0]->name); ?>
                </p>
              <?php endif; ?>
            <?php endif; ?>
          </div>
        </div>
      </div>
    </div>
  </div>
</header>
