<?php
  global $post;
  $bonus = CF_Helpers_Bonus::get_bonus_fields($post->ID);
  $casino = CF_Helpers_Casino::get_casino_fields($bonus['casino'], ['bonus']);

  cf_enqueue_module_assets( ['post', 'bonus'], false );
?>

<article class="bs of-h">
  <?php
    cf_get_template( 'header.php', CF_TEMPLATES_BONUS_DIR, [
      'bonus' => $bonus,
      'casino' => $casino
    ]);
    cf_get_template( 'below-header.php', CF_TEMPLATES_CASINO_DIR, [ 'casino' => $casino ]);
  ?>

  <div class="container mt-25">
    <div class="bs__g-row row-u-sm mb-u-md-50 mb-d-sm-30">
      <?php
        cf_get_template( 'details.php', CF_TEMPLATES_BONUS_DIR, [ 'bonus' => $bonus ]);

        if ( $casino['gallery'] )
          cf_get_template('gallery.php', CF_TEMPLATES_CASINO_DIR, [ 'casino' => $casino ]);
      ?>
    </div>
    <div id="review" class="wp-editor mb-30"><?php the_content(); ?></div>
  </div>

  <?php
    if ( $modules = get_field( 'modules' ) )
      cf_get_template('modular.php', CF_TEMPLATES_DIR, [ 'modules' => $modules ]);

    if ( get_option( 'options_ab_bonuses', false ) )
      cf_get_template('author-box.php', CF_TEMPLATES_MODULE_DIR, [
        'view'     => 'author-box',
        'settings' => [
          'id'    => 'author-box',
          'class' => ''
        ],
        'defer' => true
      ]);
  ?>
</article>
<?php
  cf_get_template('other-bonuses.php', CF_TEMPLATES_BONUS_DIR, [ 'bonus' => $bonus ]);