<?php
  global $post;
  $casino = CF_Helpers_Casino::get_casino_fields($post->ID);
  $play_now = CF_Helpers_Common::button(CF_CASINO_PLAY);
  cf_enqueue_module_assets( 'post', false );

  if ( ! $casino['is_restricted'] ) 
    cf_get_template( 'sticky.php', CF_TEMPLATES_CASINO_DIR, [ 'casino' => $casino ]);
?>

<article class="of-h">
  <?php
  cf_get_template( 'header.php', CF_TEMPLATES_CASINO_DIR, [ 'casino' => $casino ]);
    cf_get_template( 'below-header.php', CF_TEMPLATES_CASINO_DIR, [ 'casino' => $casino ]);
    cf_get_template( 'boxes.php', CF_TEMPLATES_CASINO_DIR, [ 'casino' => $casino ]);
  ?>

  <div class="container">
    <?php if ( $casino['gallery'] || $casino['advantages'] || $casino['disadvantages'] ) : ?>
      <div class="row-u-md">
        <?php
          if ( $casino['gallery'] )
            cf_get_template('gallery.php', CF_TEMPLATES_CASINO_DIR, [ 'casino' => $casino ]);

          if ( $casino['advantages'] || $casino['disadvantages'] )
          cf_get_template('pros-cons.php', CF_TEMPLATES_CASINO_DIR, [ 'casino' => $casino ]);
        ?>
      </div>
    <?php 
      endif;

      if ( $casino['news'] )
        cf_get_template( 'news.php', CF_TEMPLATES_CASINO_DIR );

      if ( $casino['bonuses'] )
        cf_get_template( 'bonuses.php', CF_TEMPLATES_CASINO_DIR );

      if ( $casino['live_games_list'] )
        cf_get_template( 'live-games.php', CF_TEMPLATES_CASINO_DIR, [ 'casino' => $casino ] );

      if ( $casino['payments_matrix'] )
        cf_get_template( 'payments-matrix.php', CF_TEMPLATES_CASINO_DIR, [ 'casino' => $casino ] );

      if ( $casino['crypto_wallet'] )
        cf_get_template( 'crypto-wallet.php', CF_TEMPLATES_CASINO_DIR, [ 'casino' => $casino ] );
      
      cf_get_template( 'more-casino.php', CF_TEMPLATES_CASINO_DIR, [ 'casino' => $casino ] );
      cf_get_template( 'available-markets.php', CF_TEMPLATES_CASINO_DIR, [ 'casino' => $casino ] );
    ?>

    <div id="review" class="wp-editor mb-30"><?php the_content(); ?></div>
  </div>

  <?php
    if ( $modules = get_field( 'modules' ) )
      cf_get_template('modular.php', CF_TEMPLATES_DIR, [ 'modules' => $modules ]);

    if ( get_option( 'options_ab_casinos', false ) )
      cf_get_template('author-box.php', CF_TEMPLATES_MODULE_DIR, [
        'view' => 'author-box',
        'settings' => [
          'class' => ''
        ],
        'defer' => true
      ]);
  ?>
</article>
<?php
?>

<?php
  cf_get_template('review.php', CF_TEMPLATES_DIR . 'schema/', ['rating' => $casino['rating']]);

  // echo '<pre>';
  // print_r($casino);
  // echo '</pre>';