<?php
  $post_id = $post->ID;
  $slot = CF_Helpers_Slot::get_slot_fields($post_id);
  cf_enqueue_module_assets('slot', false);
?>

<article>
  <?php cf_get_template( 'header.php', CF_TEMPLATES_SLOT_DIR, [ 'slot' => $slot ]); ?>

  <div class="container">
    <div class="row">
      <div class="col-u-md">
        <?php cf_get_template( 'below-header.php', CF_TEMPLATES_SLOT_DIR, [ 'slot' => $slot ]); ?>
        <?php cf_get_template( 'details.php', CF_TEMPLATES_SLOT_DIR, [ 'slot' => $slot ]); ?>
        <?php cf_get_template( 'pros-cons.php', CF_TEMPLATES_SLOT_DIR, [ 'slot' => $slot ]); ?>
      </div>
    
      <?php
        if ($slot['gallery']) : 
          cf_get_template( 'gallery.php', CF_TEMPLATES_SLOT_DIR,  ['slot' => $slot]);
        endif;
      ?>
    </div>
  </div>

  <?php
    if ( $slot['casinos'] )
      cf_get_template( 'casinos.php', CF_TEMPLATES_SLOT_DIR, [ 'slot' => $slot ]);
        
    if (get_the_content()) :
  ?>
      <div class="container py-30 wp-editor"><?php the_content(); ?></div>
  <?php 
    endif;

    if ( $modules = get_field( 'modules' ) )
      cf_get_template('modular.php', CF_TEMPLATES_DIR, [ 'modules' => $modules ]);

    if ( get_option( 'options_ab_slots', false ) )
      cf_get_template('author-box.php', CF_TEMPLATES_MODULE_DIR, [
        'view' => 'author-box',
        'settings' => ['class' => 'bg-u-sm-w bg-o-xs-w'],
        'defer' => true
      ]);

    cf_get_template( 'similar.php', CF_TEMPLATES_SLOT_DIR, [ 'slot' => $slot ]);
  ?>
</article>

<?php
// echo '<pre>';
// print_r($slot);
// echo '</pre>';