<footer class="footer tc-w bg-p">
  <div class="container py-30">
    <div class="row-u-md">
      <div class="col-u-md-5">
        <div class="row ai-d-sm-c">
          <?php if ($logo = get_option( 'options_f_logo' )) : ?>
            <div class="col-u-md-12 col-d-sm-auto mb-20 order-u-md-1">
              <a href="<?php echo esc_url(home_url('/')); ?>"><?php echo wp_get_attachment_image($logo, 'full', false, ['class' => 'wa mh-100']); ?></a>
            </div>
          <?php endif; ?>

          <?php if ($count_socials = get_option( 'options_social_media' )) : ?>
            <div class="col-u-md-12 col-d-sm-auto mb-20 ml-d-sm-a order-u-md-3">
              <?php
                $socials = [];
                for ($i = 0; $i < $count_socials; $i++) {
                  $socials[] = [
                    'icon' => get_option( 'options_social_media_'. $i .'_icon' ),
                    'url' => get_option( 'options_social_media_'. $i .'_url' ),
                  ];
                }
              ?>
              <div class="socials d-f ai-c jc-o-xs-c mx-n5">
                <?php foreach($socials as $media) : ?>
                  <a href="<?php echo $media['url']; ?>" target="_blank" class="mx-5"><?php echo wp_get_attachment_image($media['icon'], 'CF_social', true); ?></a>
                <?php endforeach; ?>
              </div>
            </div>
          <?php endif; ?>

          <?php if ($text = get_option( 'options_f_text' )) : ?>
            <div class="col-12 mb-20 order-u-md-2 wp-editor"><?php echo $text; ?></div>
          <?php endif; ?>
        </div>
      </div>

      <div class="col-u-md-7">
        <div class="row jc-u-lg-sa">
          <?php if ($menu_1 = get_option( 'options_f_menu_1' )) : $menu_1 = wp_get_nav_menu_object($menu_1); ?>
            <div class="col-u-lg-auto col-o-md col-o-sm col-o-xs-auto mb-o-xs-25">
              <p class="mb-20 fs-16 tc-in fw-m"><?php echo $menu_1->name; ?></p>
              <?php
                wp_nav_menu([
                  'menu' => $menu_1,
                  'container' => null,
                  'menu_id' => 'f-menu-1',
                  'menu_class' => 'f-menu tc-sv'
                ]);
              ?>
            </div>
          <?php endif; ?>

          <?php if ($menu_2 = get_option( 'options_f_menu_2' )) : $menu_2 = wp_get_nav_menu_object($menu_2); ?>
            <div class="col-u-lg-auto col-o-md col-o-sm col-o-xs-auto mb-o-xs-25">
              <p class="mb-20 fs-16 tc-in fw-m"><?php echo $menu_2->name; ?></p>
              <?php
                wp_nav_menu([
                  'menu' => $menu_2,
                  'container' => null,
                  'menu_id' => 'f-menu-2',
                  'menu_class' => 'f-menu tc-sv'
                ]);
              ?>
            </div>
          <?php endif; ?>

          <?php if ($menu_3 = get_option( 'options_f_menu_3' )) : $menu_3 = wp_get_nav_menu_object($menu_3); ?>
            <div class="col-u-lg-auto col-o-md col-o-sm col-o-xs-auto">
              <p class="mb-20 fs-16 tc-in fw-m"><?php echo $menu_3->name; ?></p>
              <?php
                wp_nav_menu([
                  'menu' => $menu_3,
                  'container' => null,
                  'menu_id' => 'f-menu-3',
                  'menu_class' => 'f-menu tc-sv'
                ]);
              ?>
            </div>
          <?php endif; ?>
        </div>
      </div>
    </div>
  </div>

  <div class="copyrights bg-w fs-10 fw-n ta-o-xs-c">
    <div class="container">
      <div class="row-u-sm ai-u-sm-c">
        <?php
          if ($count_recoms = get_option( 'options_recommendations' )) :
            $recoms = [];
            for ( $i = 0; $i < $count_recoms; $i++ ) {
              $recoms[] = [
                'icon' => get_option( 'options_recommendations_'. $i .'_icon' ),
                'url' => get_option( 'options_recommendations_'. $i .'_url' ),
              ];
            }
        ?>
          <div class="col-u-md py-5">
            <ul class="d-f f-w ai-c jc-o-xs-c mx-n10">
              <?php foreach ( $recoms as $item) : ?>
                <li class="mx-10">
                  <?php if ( $item['url']   ) : ?>
                    <a href="<?php echo $item['url']; ?>" target="_blank">
                      <?php echo wp_get_attachment_image($item['icon'], 'full', true); ?>
                    </a>
                  <?php else: ?>
                    <?php echo wp_get_attachment_image($item['icon'], 'full', true); ?>
                  <?php endif; ?>
                </li>
              <?php endforeach ?>
            </ul>
          </div>
        <?php endif; ?>
        <p class="col-u-md-auto fw-n tc-dv ta-c py-5"><?php the_field( 'copyrights', 'options' ); ?></p>
      </div>
    </div>
  </div>
</footer>
