<?php
  $currency = CF_Helpers_Post_Type::get_post_type_fields(get_the_id(), ['gambling_options', 'number_of_casinos']);
?>
<div class="lpt col-u-lg-2 col-o-md-4 col-o-sm-4 col-o-xs-6 my-10 ps-r">
  <div class="d-f f-c h-100 ta-c br-10 bg-lv ps-r of-h lpt-<?php echo get_the_id(); ?>">
    <figure class="lpt__thumb mb-15 bg-l">
      <?php if ( has_post_thumbnail() ) : ?>
        <a href="<?php the_permalink(); ?>" class="foc w-100 h-100 p-10"><?php the_post_thumbnail( 'CF_post_type' ); ?></a>
      <?php endif; ?>
    </figure>

    <h3 class="fs-18 fw-sb mb-15 px-10"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>

    <?php if ( $currency['gambling_options'] ) : ?>
      <div class="mx-8 mb-10 p-10 fs-12 tc-p ta-l bg-w">
        <div class="row m-n5">
          <?php foreach ($currency['gambling_options'] as $option) { ?>
            <div class="col-auto p-5 d-f ai-c ps-r">
              <?php if ( $option['icon'] ) : ?>
                <span class="foc w-16 h-16 mr-5"><?php echo wp_get_attachment_image( $option['icon'], 'full', true ); ?></span>
              <?php endif; ?>
              <?php if ( $option['url'] ) : ?>
                <a href="<?php echo $option['url']; ?>" class="f-g-1 l-str"><?php echo $option['text']; ?></a>
              <?php else : ?>
                <span class="f-g-1"><?php echo $option['text']; ?></span>
              <?php endif; ?>
            </div>
          <?php } ?>
        </div>
      </div>
    <?php endif; ?>

    <div class="mt-a pt-10 px-10 pb-15">
      <p class="tc-dv fs-12 fw-n"><?php echo $currency['number_of_casinos'] . ' ' . __('casinos', 'elegance'); ?></p>

      <a href="<?php the_permalink(); ?>" class="btn btn--sm btn--p mt-10 tt-u tc-w w-100"><?php _e('All Casinos', 'elegance'); ?></a>
    </div>
  </div>
</div>
