<?php
global $dependencies;

$faq_index = 0;
$faqs = [];
$post_types = [
  'payment'         => 'list-payments',
  'provider'        => 'list-providers',
  'license'         => 'list-licenses',
  'crypto-currency' => 'list-crypto-currencies',
  'currency'        => 'list-currencies',
  'platform'        => 'list-platforms',
  'owner'           => 'list-owners',
  'country'         => 'list-countries'
];

$taxonomies = [
  'slot-type'  => 'list-slot-categories',
  'game-type'  => 'list-games',
  'bonus-type' => 'list-bonus-types'
];

foreach ($modules as $module) :
  $settings = null;
  $layout = null;
  $defer = false;

  $view = str_replace("_","-", $module['acf_fc_layout']);

  if (isset($module['settings'])) :
    $settings = CF_Helpers_Settings::get_settings($module['settings']);
    $defer = $module['settings']['defer'];
  endif;

  $module = CF_Helpers_Settings::get_module($module);

  if ( in_array( $view,  $post_types ) ) :
    $module['post_type'] = array_search( $view, $post_types );
    $view = 'list-post-type';
  elseif ( in_array( $view,  $taxonomies ) ) :
    $module['taxonomy'] = array_search( $view, $taxonomies );
    $view = 'list-taxonomies';
  endif;

  cf_get_template($view . '.php', CF_TEMPLATES_MODULE_DIR, [
    'view'         => $view,
    'module'       => $module,
    'settings'     => $settings,
    'defer'        => $defer
  ]);

  if ( $view === 'faq' ) :
    $faqs = array_merge($faqs, $module['faq']);
    $faq_index ++;
  endif;
endforeach;

if ($faq_index > 0) :
  add_action('wp_footer', function() use ($faqs) {
    cf_get_template('faq.php', CF_TEMPLATES_DIR . '/schema/', ['faqs' => $faqs ]);
  });
endif;
