<?php
$settings['class'] .= ' py-50';
$use_real_country = CF_Core::get_info_ip(CF_Core::get_user_ip())->country->name;

if ( isset($_POST) && isset($_POST['reset']) ) :
  CF_Core::set_session();
  wp_redirect( get_the_permalink(), 302 );
elseif ( isset($_POST) && isset($_POST['geocountry']) ) :
  CF_Helpers_Common::set_session('geo_iso_code', CF_Helpers_Country::get_country_code_by_id($_POST['geocountry'], false) );
  CF_Helpers_Common::set_session('geo_country', CF_Helpers_Country::get_country_name_by_id($_POST['geocountry'], false ) );
  CF_Helpers_Common::set_session('country_id', $_POST['geocountry']);
  CF_Helpers_Common::set_session('country_flag', CF_Helpers_Country::get_country_flag_by_id($_POST['geocountry'], false));
  wp_redirect( get_the_permalink(), 302 );
endif;

$user_country = (int) CF_Helpers_Common::get_session('country_id');

$countries = new WP_Query([
  'post_type'      => 'country',
  'post_status'    => ['publish', 'draft'],
  'orderby'        => 'title',
  'order'          => 'ASC',
  'post_parent'    => 0,
  'posts_per_page' => -1,
]);

cf_enqueue_module_assets($view, $defer);
do_action('before_module', ['settings' => $settings]);
?>
  <div class="container">
    <?php if ( $countries->have_posts() ) : ?>
      <div class="col-u-md-7 mx-a ta-c">
        <form action="" method="POST">
          <div class="row-u-sm">
            <div class="col-u-sm-7">
              <select name="geocountry" class="field field-lg">
                <?php while ( $countries->have_posts() ) : $countries->the_post(); ?>
                  <option value="<?php echo get_the_ID(); ?>" <?php echo get_the_ID() === $user_country ? 'selected' : null; ?>><?php the_title(); ?></option>
                <?php endwhile; ?>
              </select>
            </div>
            <div class="col-u-sm-5">
              <button type="submit" class="btn btn--p tc-w tc-w w-100"><?php echo _e('Change Location', 'elegance'); ?></button>
            </div>
          </div>
          <button name="reset" type="submit" class="btn btn--p tc-w tc-w mt-50"><?php echo _e('Change Location to ', 'elegance') . $use_real_country; ?></button>
        </form>
      </div>
    <?php endif; wp_reset_query(  ); ?>
  </div>
<?php
do_action('after_module');
