<?php 
$settings['class'] .= ' hh '. ($module['breadcrumbs'] ? ' pt-60' : 'pt-20') .' pb-20 ps-r';

cf_enqueue_module_assets($view, $defer);
do_action('before_module', ['settings' => $settings]);
  if ( $module['breadcrumbs'] ) cf_get_template( 'breadcrumbs.php', CF_TEMPLATES_DIR );
?>
  <div class="container">
    <div class="row-u-md">
      <div class="col-u-md pr-u-lg-50">
        <?php CF_Helpers_Common::display_title($module['title'], 'h1 mb-20'); ?>
        <p class="wp-editor fs-u-md-17 fs-d-sm-13"><?php echo $module['title']['subtitle']; ?></p>

        <?php
          $fisrt_btn = CF_Helpers_Common::button($module['first_button']);
          $second_btn = CF_Helpers_Common::button($module['second_button']);

          if ( $fisrt_btn || $second_btn ) :
        ?>
          <div class="d-o-xs-f mt-u-md-50 mt-d-sm-20 mx-n10">
            <a href="<?php echo $fisrt_btn['action']; ?>" class="btn w-u-sm-260 w-o-xs-100 mx-10 <?php echo $fisrt_btn['classes']; ?>"><?php echo $fisrt_btn['label']; ?></a>
            <a href="<?php echo $second_btn['action']; ?>" class="btn w-u-sm-260 w-o-xs-100 mx-10 <?php echo $second_btn['classes']; ?>"><?php echo $second_btn['label']; ?></a>
          </div>
        <?php endif; ?>
      </div>

      <?php if ( $module['boxes'] ) : ?>
        <div class="col-u-md-5 mt-d-sm-25">
          <div class="row m-n5">
            <?php
              foreach ($module['boxes'] as $box) { 
                cf_get_template('hh-box.php', CF_TEMPLATES_LOOP_DIR, [ 'box' => $box ]);
              }
            ?>
          </div>
        </div>
      <?php endif; ?>
    </div>
  </div>
<?php
do_action('after_module');