<?php 
$settings['class'] .= ' lc pt-20 pb-u-sm-40 pb-o-xs-20 js-list-casinos';

cf_enqueue_module_assets($view, $defer);
if ($module['filter']) :
  cf_enqueue_module_assets('filter', $defer);
endif;
$ordered = $module['ordered'] ? 'lc--ordered ' : '';

$page_posts = (int)$module['results_per_page'];
$total_posts = (int)$module['number_of_results'];

if ( $module['filter'] && $module['list_type'] === '3' && !$module['casino_status_listing'] ) :
  $module['casino_status_listing'] = ['658'];
endif;

// echo '<pre>';
// print_r($module);
// echo '</pre>';

$query_args = CF_Casinos_Args::list_casinos_args($module);
$casinos = new WP_Query($query_args);

// echo '<pre>';
// print_r($query_args);
// echo '</pre>';

if ( $module['filter'] && $module['filter_type'] === '2' ) :
  $module_args = CF_Casinos_Args::list_casino_module_args( $module, wp_list_pluck( $casinos->posts, 'ID' ) );
  $query_args['posts_per_page'] = ($total_posts > $page_posts && $page_posts > 0 || $total_posts < 0) ? $page_posts : $total_posts;
else :
  $module_args = CF_Casinos_Args::list_casino_module_args( $module, false);
endif;

$has_more = $casinos->found_posts > $page_posts && $page_posts > 0 && ($total_posts > $page_posts  || $total_posts < 0);

$settings['data'] .= " data-type='casinos' data-view='". $module['view'] . "' data-ordered='". $module['ordered'] . "' data-page_posts='". $page_posts . "' data-total_posts='". $total_posts . "' data-args='". json_encode($query_args) . "' data-module='". json_encode($module_args) . "'";

if ($casinos->found_posts < $total_posts) $total_posts = $casinos->found_posts;
do_action('before_module', [ 'settings' => $settings]);
?>
    <?php if ($module['filter']) : ?>
      <form class="js-filter-form">
        <?php
          cf_get_template( 'filter-top.php', CF_TEMPLATES_CASINO_DIR, [
            'module' => $module,
            'total'  => $casinos->found_posts
          ]);
        ?>

      <div class="container">
        <div class="row-u-md lc--filter">
          <div class="bf__col col-u-lg-2 col-o-md-3 p-d-sm-25">
            <?php
              cf_get_template( 'filter.php', CF_TEMPLATES_CASINO_DIR, [
                'module' => $module,
                'total'  => $casinos->found_posts
              ]);
            ?>
          </div>

          <div class="col-u-md">
    <?php else: ?>
      <div class="container">
    <?php endif; ?>

    <div class="row my-o-xs-n8 my-u-sm-n10 <?php echo $ordered; ?> of-h js-append-casinos">
      <?php 
        if ($casinos->have_posts()) :
          $index = 0;
          $customer = CF_Helpers_Common::get_session(['geo_iso_code', 'country_id', 'country_flag']);
          $play_now = CF_Helpers_Common::button(CF_CASINO_PLAY);
          while( $casinos->have_posts() ) : $casinos->the_post();
            cf_get_template( $module['view'] . '-casino.php', CF_TEMPLATES_LOOP_DIR, [
              'customer' => $customer,
              'play_now' => $play_now,
            ]);
            $index++;

            if ( $index === $page_posts ) break;
          endwhile;
        else :
      ?>
          <p class="my-20 ta-c fw-b w-100"><?php _e('No results were found!', 'elegance'); ?></p>
      <?php endif; ?>
    </div>

    <div class="ta-c">
      <?php cf_get_template( 'loader.php', CF_TEMPLATES_DIR ); ?>
      
      <?php $load_more = CF_Helpers_Common::button($module['load_more']); ?>
      <button type="button" class="btn w-u-sm-260 w-o-xs-100 mt-u-sm-40 mt-o-xs-20 js-casinos-loadmore <?php echo $load_more['classes']; ?>" <?php echo !$has_more ? 'style="display: none;"' : null; ?>><?php echo $load_more['label']; ?></button>

      <?php if ($cta = CF_Helpers_Common::button($module['button'])) : ?>
        <a href="<?php echo $cta['action'] ?>" class="btn w-u-sm-260 w-o-xs-100 mt-u-sm-40 mt-o-xs-20 js-list-cta <?php echo $cta['classes']; ?>" <?php echo $has_more ? 'style="display: none;"' : null; ?>><?php echo $cta['label']; ?></a>
      <?php endif; ?>
    </div>
    
    <?php if ( $module['filter'] ) : ?>
        </div>
      </div>
    <?php endif;?>
  </div>

  <?php if ( $module['filter'] ) : ?>
    </form>
  <?php endif; ?>
<?php
do_action('after_module');
wp_reset_query();