<?php
$settings['class'] .= ' ptl pt-20 pb-u-sm-40 pb-o-xs-20 js-list-post-type';

cf_enqueue_module_assets($view, $defer);
if ( isset($module['filter']) && $module['filter']) :
  cf_enqueue_module_assets('filter', $defer);
endif;

// echo '<pre>';
// print_r($module);
// echo '</pre>';

$page_posts = (int)$module['results_per_page'];
$total_posts = (int)$module['number_of_results'];
$results_ids = null;

$query_args = CF_Posttypes_Args::list_post_type_args($module);
$results = new WP_Query($query_args);

// echo '<pre>';
// print_r($query_args);
// echo '</pre>';

if ( $results->have_posts() )
  $results_ids = wp_list_pluck( $results->posts, 'ID' );

$has_more = $results->found_posts > $page_posts && $page_posts > 0 && ($total_posts > $page_posts  || $total_posts < 0);

$settings['data'] .=  "data-page_posts='". $page_posts . "' data-total_posts='". $total_posts . "' data-args='". json_encode($query_args) . "' ' data-posts='". ($results_ids ? json_encode($results_ids) : null) . "' data-type='". $module['post_type'] ."'";

cf_enqueue_module_assets($view, $defer);
do_action('before_module', ['settings' => $settings]);
?>
    <?php if ( isset($module['filter']) && $module['filter'] ) : ?>
      <form class="js-filter-form">
        <?php
          cf_get_template('filter-top-' . $module['post_type'] . '.php', CF_TEMPLATES_PT_DIR, [
            'module'     => $module,
            'query_args' => $query_args,
            'total'      => $results->found_posts
          ]);
        ?>
      <div class="container">
        <div class="row-u-md <?php echo $module['post_type'] === 'provider' ? 'ptl--filter' : null; ?>">
          <?php if ( locate_template(CF_TEMPLATES_PT_DIR . 'filter-' . $module['post_type'] . '.php', false, false ) ) : ?>
            <div class="bf__col col-u-lg-2 col-o-md-3 p-d-sm-25">
              <?php
                cf_get_template('filter-' . $module['post_type'] . '.php', CF_TEMPLATES_PT_DIR, [
                  'module' => $module,
                  'total'  => $results->found_posts
                ]);
              ?>
            </div>
          <?php endif; ?>

          <div class="col-u-md">
    <?php else: ?>
      <div class="container">
    <?php endif; ?>

    <div class="row my-n10 js-append-results <?php echo isset($module['ordered']) && $module['ordered'] ? 'ptl--ordered' : null; ?>">
      <?php
        if ($results->have_posts()) :
          while( $results->have_posts() ) : $results->the_post();
            cf_get_template('list-' . $module['post_type'] . '.php', CF_TEMPLATES_LOOP_DIR);
          endwhile;
        else :
      ?>
          <p class="my-20 ta-c fw-b w-100"><?php _e('No results were found!', 'elegance'); ?></p>
      <?php endif; ?>
    </div>

    <div class="ta-c">
      <?php cf_get_template( 'loader.php', CF_TEMPLATES_DIR ); ?>

      <?php $load_more = CF_Helpers_Common::button($module['load_more']); ?>
      <button type="button" class="btn w-u-sm-260 w-o-xs-100 mt-u-sm-40 mt-o-xs-20 js-list-loadmore <?php echo $load_more['classes']; ?>" <?php echo !$has_more ? 'style="display: none;"' : null; ?>><?php echo $load_more['label']; ?></button>

      <?php if ($cta = CF_Helpers_Common::button($module['button'])) : ?>
        <a href="<?php echo $cta['action'] ?>" class="btn w-u-sm-260 w-o-xs-100 mt-u-sm-40 mt-o-xs-20 js-list-cta <?php echo $cta['classes']; ?>" <?php echo $has_more ? 'style="display: none;"' : null; ?>><?php echo $cta['label']; ?></a>
      <?php endif; ?>
    </div>

    <?php if ( isset($module['filter']) && $module['filter'] ) : ?>
          </div>
        </div>
    <?php endif; ?>
  </div>

  <?php if ( isset($module['filter']) && $module['filter'] ) : ?>
    </form>
  <?php endif; ?>
<?php
do_action('after_module');
