<?php 
$settings['class'] .= 'ls py-20 js-list-slots';

cf_enqueue_module_assets($view, $defer);
if ($module['filter']) :
  cf_enqueue_module_assets('filter', $defer);
endif;

$page_posts = (int)$module['results_per_page'];
$total_posts = (int)$module['number_of_results'];

$query_args = CF_Slots_Args::list_slots_args($module);
$slots = new WP_Query($query_args);

// echo '<pre>';
// print_r($query_args);
// echo '</pre>';

if ( $module['filter'] && $module['filter_type'] === '2' ) :
  $module_args = CF_Slots_Args::list_slots_module_args( $module, wp_list_pluck( $slots->posts, 'ID' ) );
  $query_args['posts_per_page'] = ($total_posts > $page_posts && $page_posts > 0 || $total_posts < 0) ? $page_posts : $total_posts;
else :
  $module_args = CF_Slots_Args::list_slots_module_args( $module, false);
endif;

$has_more = $slots->found_posts > $page_posts && $page_posts > 0 && ($total_posts > $page_posts  || $total_posts < 0);

$settings['data'] .=  "data-page_posts='". $page_posts . "' data-total_posts='". $total_posts . "' data-args='". json_encode($query_args) . "' data-module='". json_encode($module_args) . "'";

cf_enqueue_module_assets($view, $defer);
do_action('before_module', ['settings' => $settings]); ?>
  <?php if ($module['filter']) : ?>
    <form class="js-filter-form">
      <?php
        cf_get_template( 'filter-top.php', CF_TEMPLATES_SLOT_DIR, [
          'module' => $module,
          'total'  => $slots->found_posts
        ]);
      ?>

    <div class="container">
      <div class="row-u-md ls--filter">
        <div class="bf__col col-u-lg-2 col-o-md-3 p-d-sm-25">
          <?php
            cf_get_template( 'filter.php', CF_TEMPLATES_SLOT_DIR, [
              'module' => $module,
              'total'  => $slots->found_posts
            ]);
          ?>
        </div>

        <div class="col-u-md">
  <?php else : ?>
    <div class="container">
  <?php endif; ?>
  <div class="row my-n10 js-append-slots">
    <?php 
      if ($slots->have_posts()) :
        $index = 0;
        while($slots->have_posts()) : $slots->the_post();
          cf_get_template( 'slot-box.php', CF_TEMPLATES_LOOP_DIR, [ 'post_id' => get_the_ID() ] );
          $index++;

          if ( $index === $page_posts ) break;
        endwhile;
      else:
    ?>
        <p class="my-20 ta-c fw-b w-100"><?php _e('No results were found!', 'elegance'); ?></p>
    <?php endif; ?>
  </div>

  <div class="ta-c py-2">
    <?php cf_get_template( 'loader.php', CF_TEMPLATES_DIR ); ?>

    <?php $load_more = CF_Helpers_Common::button($module['load_more']); ?>

    <button type="button" class="btn w-u-sm-260 w-o-xs-100 mt-u-sm-40 mt-o-xs-20 js-slots-loadmore <?php echo $load_more['classes']; ?>" <?php echo !$has_more ? 'style="display: none;"' : null; ?>><?php echo $load_more['label']; ?></button>

    <?php if ($cta = CF_Helpers_Common::button($module['button'])) : ?>
      <a href="<?php echo $cta['action'] ?>" class="btn w-u-sm-260 w-o-xs-100 mt-u-sm-40 mt-o-xs-20 js-list-cta <?php echo $cta['classes']; ?>" <?php echo $has_more ? 'style="display: none;"' : null; ?>><?php echo $cta['label']; ?></a>
    <?php endif; ?>
  </div>
  <?php if ( $module['filter'] ) : ?>
      </div>
    </div>
  <?php endif;?>
  </div>

  <?php if ( $module['filter'] ) : ?>
    </form>
  <?php endif; ?>
<?php do_action('after_module');
wp_reset_query();