<?php 
$settings['class'] .= 'tl pt-20 pb-40 js-list-taxonomies';

if ($module['list_type'] === '2') :
  $total_posts = count($module['categories']);
else:
  $total_posts = (int)$module['number_of_results'];
endif;

$page_posts = (int)$module['results_per_page'];

$query_args = CF_Taxonomies_Args::list_taxonomies_args($module);
$taxonomies = get_terms($query_args);
if ( $taxonomies ) : 
  $taxonomies = CF_Helpers_Taxonomy::get_taxonomy_fields($taxonomies, ['linked'], $module['taxonomy']);
endif;

$found_posts = (int)wp_count_terms($query_args);

$has_more = $found_posts > $page_posts && $page_posts > 0 && ($total_posts > $page_posts || $total_posts < 1);

if ($found_posts < $total_posts) $total_posts = $found_posts;

$settings['data'] .=  "data-page_posts='". $page_posts . "' data-found_posts='". $found_posts ."' data-total_posts='". $total_posts . "' data-args='". json_encode($query_args) . "'";

cf_enqueue_module_assets($view, $defer);
do_action('before_module', ['settings' => $settings]);
?>
  <div class="container">
    <div class="row mx-o-sm-n5 my-u-sm-n10 my-o-xs-n6 js-append-taxonomies">
      <?php 
        if ($taxonomies) : 
          foreach ( $taxonomies as $term ) :
            cf_get_template( $module['view'] . '-term.php', CF_TEMPLATES_LOOP_DIR, [ 'term' => $term ]);
          endforeach;
        else :
          echo '<p class="ta-c fw-b">'. __('No results were found!', 'elegance') .'</p>';
        endif;
      ?>
    </div>

    <div class="ta-c">
      <?php cf_get_template( 'loader.php', CF_TEMPLATES_DIR ); ?>
      <?php $load_more = CF_Helpers_Common::button($module['load_more']); ?>
      <button class="btn w-u-sm-260 w-o-xs-100 mt-u-sm-30 mt-o-xs-20 js-taxonomies-loadmore <?php echo $load_more['classes']; ?>" <?php echo !$has_more ? 'style="display: none;"' : null; ?>><?php echo $load_more['label']; ?></button>

      <?php if ($cta = CF_Helpers_Common::button($module['button'])) : ?>
        <a href="<?php echo $cta['action'] ?>" class="btn w-u-sm-260 w-o-xs-100 mt-u-sm-30 mt-o-xs-20 js-list-cta <?php echo $cta['classes']; ?>" <?php echo $has_more ? 'style="display: none;"' : null; ?>><?php echo $cta['label']; ?></a>
      <?php endif; ?>
    </div>
  </div>
<?php
do_action('after_module');