<?php
$settings['class'] .= ' ';
$restricted = CF_Helpers_Post_Type::get_post_type_fields($module['provider'], 'restricted');

// echo '<pre>';
// print_r($module);
// echo '</pre>';

$query_args = [
  'post_type'      => 'country',
  'post_status'    => ['publish', 'draft'],
  'post_parent'    => 0,
  'orderby'        => 'title',
  'order'          => 'ASC',
  'posts_per_page' => $module['number_of_posts'],
];

if ( $module['list_type'] === '1' )
  $query_args['post__not_in'] = $restricted;
elseif( $module['list_type'] === '2' )
  $query_args['post__in'] = $restricted;

$countries = new WP_Query($query_args); 

cf_enqueue_module_assets($view, $defer);
do_action('before_module', ['settings' => $settings]);
?>
  <div class="container">
    <?php if ( $countries->have_posts() ) : ?>
      <div class="wp-editor">
        <table>
          <thead>
            <tr>
              <td class="w-16 pr-5">#</td>
              <td><?php _e('Country', 'elegance'); ?></td>
              <td class="ta-c"><?php _e('Casinos', 'elegance'); ?></td>
              <td class="ta-c"><?php _e('Bonuses', 'elegance'); ?></td>
              <td class="ta-c"><?php _e('Providers', 'elegance'); ?></td>
              <td class="w-38"></td>
            </tr>
          </thead>
          <tbody>
            <?php
              $i = 1;
              while($countries->have_posts()) : $countries->the_post(); 
                $country_id = get_the_ID();
            ?>
              <tr>
                <td class="w-16"><?php echo $i; ?></td>
                <td class="pl-5">
                  <div class="d-f ai-c">
                    <?php if ( has_post_thumbnail() ) : ?>
                      <span class="foc w-34 h-20 mr-5 p-2 bg-lv"><?php the_post_thumbnail('CF_casino'); ?></span>
                    <?php endif; ?>
                    <span><?php the_title(); ?></span>
                  </div>
                </td>
                <td class="ta-c fw-b">
                  <?php
                    $casinos = CF_Casinos_Args::list_casinos_args([
                      'list_type' => '3',
                      'allowed_in' => '2',
                      'specific_countries' => [$country_id],
                      'order_by' => 'date',
                      'results_per_page' => '-1',
                      'number_of_results' => '-1'
                    ]);
                    echo count($casinos['post__in']);
                  ?>
                </td>

                <td class="ta-c fw-b">
                  <?php 
                    $bonuses_args = CF_Bonuses_Args::list_bonuses_args([
                      'list_type'         => '3',
                      'order_by'          => 'date',
                      'casinos'           => $casinos['post__in'],
                      'results_per_page'  => '-1',
                      'number_of_results' => '-1'
                    ]);
                    $bonuses = new WP_Query($bonuses_args);
                    echo $bonuses->post_count;
                    wp_reset_query();
                  ?>
                </td>

                <td class="ta-c fw-b">
                  <?php 
                    $providers = new WP_Query([
                      'post_type'      => 'provider',
                      'posts_status'   => 'publish',
                      'post_parent'    => 0,
                      'posts_per_page' => -1,
                      'meta_query'     => [
                        [
                          'key'   => 'country',
                          'value' => $country_id
                        ]
                      ]
                    ]);
                    echo $providers->post_count;
                    wp_reset_query();
                  ?>
                </td>
                <td class="w-38">
                  <?php if ( get_post_status($country_id) === 'publish' ) : ?>
                    <a href="<?php echo get_the_permalink($country_id); ?>" class="fw-b tc-u ws-nw"><?php _e('See More', 'elegance') ?></a>
                  <?php endif; ?>
                </td>
              </tr>
            <?php $i++; endwhile; ?>
          </tbody>
        </table>
      </div>
    <?php else: ?>
        <p class="my-20 ta-c fw-b"><?php _e('No results were found!', 'elegance'); ?></p>
    <?php
      endif;
      wp_reset_query();
    ?>
  </div>
<?php
do_action('after_module');
