<div class="col-u-md-4 mt-d-sm-20">
  <div class="sh__box br-10 p-20 tc-d bg-w of-h">
    <div class="row my-n10">
      <?php if ( has_post_thumbnail() ) : ?>
        <div class="col my-10">
          <figure class="foc">
            <?php the_post_thumbnail( 'CF_post_type' ); ?>
          </figure>
        </div>
      <?php endif; ?>
      
      <div class="col my-10">
        <p class="mb-10 fs-16 fw-sb tc-dv"><?php the_title(); ?></p>
        <div class="mb-10 fs-10"><?php printf( 'Rated %s of 100%%', $single['rating'] ); ?></div>
        <?php cf_get_template('rating.php', CF_TEMPLATES_CASINO_DIR, ['rating' => $single['rating']]); ?>
      </div>
    </div>

    <div class="row my-n10">
      <div class="col my-10">
        <p class="sh__line row ng py-u-sm-10 py-o-xs-8 fs-10 tc-d">
          <span class="col-auto"><?php _e('Number of games', 'elegance'); ?>:</span>
          <span class="col ta-r fw-b"><?php echo $single['number_of_games']; ?></span>
        </p>

        <p class="sh__line row ng py-u-sm-10 py-o-xs-8 fs-10 tc-d">
          <span class="col-auto"><?php _e('Country', 'elegance'); ?>:</span>
          <span class="col ta-r"><?php echo get_the_title( $single['country'] ); ?></span>
        </p>
      </div>
      
      <div class="col my-10">
        <p class="sh__line row ng py-u-sm-10 py-o-xs-8 fs-10 tc-d">
          <span class="col-auto"><?php _e('Number of casinos', 'elegance'); ?>:</span>
          <span class="col fw-b ta-r"><?php echo $single['number_casinos']; ?></span>
        </p>

        <p class="sh__line row ng py-u-sm-10 py-o-xs-8 fs-10 tc-d">
          <span class="col-auto"><?php _e('Year Established', 'elegance'); ?>:</span>
          <span class="col fw-b ta-r"><?php echo date('Y', strtotime($single['founded']) ); ?></span>
        </p>
      </div>
    </div>

    <p class="row mx-n5 py-u-sm-10 py-o-xs-8 fs-10 tc-d">
      <span class="col-auto pl-5 pr-0"><?php _e('Features', 'elegance'); ?>:</span>
      <span class="col px-5">
        <?php
          if ( $single['features'] ) :
            $i = 0;
            foreach ($single['features'] as $term) {
              echo ($i !== 0 ? ', ' : null ) . $term->name;
              $i++;
            }
          endif;
        ?>
      </span>
    </p>
  </div>

  <?php
    $children = get_posts([
      'post_type' => 'provider',
      'posts_per_page' => 1,
      'post_parent'    => get_the_ID(),
      'post_type'      => 'provider'
    ]);

    if ( $children ) :
  ?>
    <div class="ta-c">
      <a href="<?php echo get_the_permalink( $children[0]->ID ); ?>" class="btn btn--w mt-30 tc-p"><?php echo $children[0]->post_title; ?></a>
    </div>
  <?php endif; ?>
</div>