<?php

  $query_args = CF_Slots_Args::list_slots_args([
    'list_type'         => '3',
    'providers_listing' => get_post_meta( get_the_id(), 'providers', true ),
    'results_per_page'  => '4',
    'number_of_results' => '4',
    'order_by'          => 'rating'
  ]);
  $slots = new WP_Query($query_args);
  
  if ( $slots->have_posts() ) :
    $slots_ids = wp_list_pluck( $slots->posts, 'ID' );

    $modules = [
      [
        'acf_fc_layout' => 'title',
        'manually' => [
          'tag' => 'h3',
          'title' => __('Play Similar slots', 'elegance'),
          'color' => '',
          'subtitle' => '',
        ],
        'settings' => [
          'section_id' => '',
          'css_classes' => '',
          'text_color' => [
            'type' => '1',
            'theme' => '0',
            'picker' => '#000000'
          ],
          'text_align' => [
            'tad' => 'ta-u-sm-c',
            'tam' => 'ta-o-xs-c'
          ],
          'background' => [
            'desktop' => [
              'theme' => '0',
              'type' => '1',
              'image' => '',
              'position' => 'center-center'
            ],
            'mobile' => [
              'theme' => '0',
              'type' => '1',
              'image' => '',
              'position' => 'center-center'
            ]
          ],
          'visibility' => '0',
          'defer' => '1'
        ]
      ],
      [
        'acf_fc_layout' => 'list_slots',
        'manually' => [
          'list_type' => '2',
          'slots' => $slots_ids,
          'order_by_manually' => 'post__in',
          'order_by' => 'rating',
          'number_of_results' => '4',
          'results_per_page' => '4',
          'filter' => false,
          'button' => [
            'cta_options' => '0',
          ],
          'load_more' => [
            'label' => 'Load More',
            'type' => '1',
            'btn_color' => 'p',
            'text_color' => 'tc-w'
          ],
        ],
        'settings' => [
          'section_id' => '',
          'css_classes' => '',
          'text_color' => [
            'type' => '1',
            'theme' => '0',
            'picker' => '#000000'
          ],
          'text_align' => [
            'tad' => '0',
            'tam' => '0'
          ],
          'background' => [ 
            'desktop' => [
              'theme' => '0',
              'type' => '1',
              'image' => '',
              'position' => 'center-center'
            ],
            'mobile' => [
              'theme' => '0',
              'type' => '1',
              'image' => '',
              'position' => 'center-center'
            ]
          ],
          'visibility' => '0',
          'defer' => '1'
        ]
      ]
    ];
    cf_get_template('modular.php', CF_TEMPLATES_DIR, [ 'modules' => $modules ]);
  endif;
wp_reset_query();
